mod_ruby 1.2.5

mod_ruby embeds the Ruby interpreter into the Apache web server, allowing Ruby CGI scripts to be executed natively.

  Add it to your Download Basket!

 Add it to your Watch List!

0/5

Rate it!
send us
an update
LICENSE TYPE:
BSD License 
USER RATING:
UNRATED
  0.0/5
DEVELOPED BY:
Shugo Maeda
HOMEPAGE:
modruby.net
CATEGORY:
ROOT \ Internet \ HTTP (WWW)
mod_ruby is an Apache module that embeds the Ruby interpreter into the Apache web server, allowing Ruby CGI scripts to be executed natively. These scripts will start up much faster than without mod_ruby.

You can also extend Apache by mod_ruby. mod_ruby provides Apache API to Ruby.

Requirements:

Apache 1.3, 2.x
Ruby

What's New in This Release:

added RubyRestrictDirectives by David Garamond.
added Apache::Request#all_params.
set $0 correctly
added Apache::RubyProfile.
added RubyOption.
added Apache::RailsDispatcher.
supported Apache 2.2 thanks to Michael Sullivan.
added RubyGcPerRequest.
do not timeout if RubyTimeOut is 0.

Last updated on April 28th, 2006

#Apache module #native CGI scripts #Ruby interpreter #mod_ruby #Apache #module #CGI

Add your review!

SUBMIT